using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace _1.Pecina
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string[] nIlUnos = Console.ReadLine().Split();
            int n = int.Parse(nIlUnos[0]);
            int l = int.Parse(nIlUnos[1]);
            int[] h = new int[n];
            string[] hUnos = Console.ReadLine().Split();
            for (int i = 0; i < n; i++)
            {
                h[i] = int.Parse(hUnos[i]);
            }
            int rezultat = -1;
            for (int i = 0; i < n; i++)
            {
                if (l >= h[i])
                {
                    rezultat = i + 1;
                    break;
                }
            }
            Console.WriteLine(rezultat);
            Console.ReadKey();
        }
    }
}